<?php

namespace App\Http\Controllers;

use Illuminate\Http\Request;

class masterController extends Controller
{
    private $MetaData = [];
    private $siteData = [];
    private $footerData = [];

    public function setMetaData($val = [])
    {
        $this->MetaData = $val;
    }

    public function setData($val = [])
    {
        $this->siteData = $val;
    }

    public function setFooterData($var = [])
    {
        $this->footerData = $var;
    }

    public function renderPage()
    {
        echo view('master.header', $this->MetaData);
        echo view('master.master', $this->siteData);
        echo view('master.footer', $this->footerData);
    }

    public function renderUserDashboardPage()
    {
        echo view('master.admin_header', $this->MetaData);
        echo view('master.master', $this->siteData);
        echo view('master.admin_footer', $this->footerData);
    }

    public function renderAdminPage()
    {
        echo view('master.admin_header', $this->MetaData);
        echo view('master.master', $this->siteData);
        echo view('master.admin_footer', $this->footerData);
    }

    public function renderAdminDashboardPage()
    {
        echo view('master.admin_header', $this->MetaData);
        echo view('master.admin_master', $this->siteData);
        echo view('master.admin_footer', $this->footerData);
    }
}
